// Do NOT change. Changes will be lost next time file is generated

#define R__DICTIONARY_FILENAME HepMC3EventDict
#define R__NO_DEPRECATION

/*******************************************************************/
#include <stddef.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <assert.h>
#define G__DICTIONARY
#include "RConfig.h"
#include "TClass.h"
#include "TDictAttributeMap.h"
#include "TInterpreter.h"
#include "TROOT.h"
#include "TBuffer.h"
#include "TMemberInspector.h"
#include "TInterpreter.h"
#include "TVirtualMutex.h"
#include "TError.h"

#ifndef G__ROOT
#define G__ROOT
#endif

#include "RtypesImp.h"
#include "TIsAProxy.h"
#include "TFileMergeInfo.h"
#include <algorithm>
#include "TCollectionProxyInfo.h"
/*******************************************************************/

#include "TDataMember.h"

// The generated code does not explicitly qualifies STL entities
namespace std {} using namespace std;

// Header files passed as explicit arguments
#include "HepMC3Event.h"
#include "HepMC3Particle.h"

// Header files passed via #pragma extra_include

namespace ROOT {
   static void *new_HepMC3Particle(void *p = 0);
   static void *newArray_HepMC3Particle(Long_t size, void *p);
   static void delete_HepMC3Particle(void *p);
   static void deleteArray_HepMC3Particle(void *p);
   static void destruct_HepMC3Particle(void *p);
   static void streamer_HepMC3Particle(TBuffer &buf, void *obj);

   // Function generating the singleton type initializer
   static TGenericClassInfo *GenerateInitInstanceLocal(const ::HepMC3Particle*)
   {
      ::HepMC3Particle *ptr = 0;
      static ::TVirtualIsAProxy* isa_proxy = new ::TInstrumentedIsAProxy< ::HepMC3Particle >(0);
      static ::ROOT::TGenericClassInfo 
         instance("HepMC3Particle", ::HepMC3Particle::Class_Version(), "HepMC3Particle.h", 25,
                  typeid(::HepMC3Particle), ::ROOT::Internal::DefineBehavior(ptr, ptr),
                  &::HepMC3Particle::Dictionary, isa_proxy, 17,
                  sizeof(::HepMC3Particle) );
      instance.SetNew(&new_HepMC3Particle);
      instance.SetNewArray(&newArray_HepMC3Particle);
      instance.SetDelete(&delete_HepMC3Particle);
      instance.SetDeleteArray(&deleteArray_HepMC3Particle);
      instance.SetDestructor(&destruct_HepMC3Particle);
      instance.SetStreamerFunc(&streamer_HepMC3Particle);
      return &instance;
   }
   TGenericClassInfo *GenerateInitInstance(const ::HepMC3Particle*)
   {
      return GenerateInitInstanceLocal((::HepMC3Particle*)0);
   }
   // Static variable to force the class initialization
   static ::ROOT::TGenericClassInfo *_R__UNIQUE_DICT_(Init) = GenerateInitInstanceLocal((const ::HepMC3Particle*)0x0); R__UseDummy(_R__UNIQUE_DICT_(Init));
} // end of namespace ROOT

namespace ROOT {
   static void delete_HepMC3Event(void *p);
   static void deleteArray_HepMC3Event(void *p);
   static void destruct_HepMC3Event(void *p);
   static void streamer_HepMC3Event(TBuffer &buf, void *obj);

   // Function generating the singleton type initializer
   static TGenericClassInfo *GenerateInitInstanceLocal(const ::HepMC3Event*)
   {
      ::HepMC3Event *ptr = 0;
      static ::TVirtualIsAProxy* isa_proxy = new ::TInstrumentedIsAProxy< ::HepMC3Event >(0);
      static ::ROOT::TGenericClassInfo 
         instance("HepMC3Event", ::HepMC3Event::Class_Version(), "HepMC3Event.h", 30,
                  typeid(::HepMC3Event), ::ROOT::Internal::DefineBehavior(ptr, ptr),
                  &::HepMC3Event::Dictionary, isa_proxy, 17,
                  sizeof(::HepMC3Event) );
      instance.SetDelete(&delete_HepMC3Event);
      instance.SetDeleteArray(&deleteArray_HepMC3Event);
      instance.SetDestructor(&destruct_HepMC3Event);
      instance.SetStreamerFunc(&streamer_HepMC3Event);
      return &instance;
   }
   TGenericClassInfo *GenerateInitInstance(const ::HepMC3Event*)
   {
      return GenerateInitInstanceLocal((::HepMC3Event*)0);
   }
   // Static variable to force the class initialization
   static ::ROOT::TGenericClassInfo *_R__UNIQUE_DICT_(Init) = GenerateInitInstanceLocal((const ::HepMC3Event*)0x0); R__UseDummy(_R__UNIQUE_DICT_(Init));
} // end of namespace ROOT

//______________________________________________________________________________
atomic_TClass_ptr HepMC3Particle::fgIsA(0);  // static to hold class pointer

//______________________________________________________________________________
const char *HepMC3Particle::Class_Name()
{
   return "HepMC3Particle";
}

//______________________________________________________________________________
const char *HepMC3Particle::ImplFileName()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::HepMC3Particle*)0x0)->GetImplFileName();
}

//______________________________________________________________________________
int HepMC3Particle::ImplFileLine()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::HepMC3Particle*)0x0)->GetImplFileLine();
}

//______________________________________________________________________________
TClass *HepMC3Particle::Dictionary()
{
   fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::HepMC3Particle*)0x0)->GetClass();
   return fgIsA;
}

//______________________________________________________________________________
TClass *HepMC3Particle::Class()
{
   if (!fgIsA.load()) { R__LOCKGUARD(gInterpreterMutex); fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::HepMC3Particle*)0x0)->GetClass(); }
   return fgIsA;
}

//______________________________________________________________________________
atomic_TClass_ptr HepMC3Event::fgIsA(0);  // static to hold class pointer

//______________________________________________________________________________
const char *HepMC3Event::Class_Name()
{
   return "HepMC3Event";
}

//______________________________________________________________________________
const char *HepMC3Event::ImplFileName()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::HepMC3Event*)0x0)->GetImplFileName();
}

//______________________________________________________________________________
int HepMC3Event::ImplFileLine()
{
   return ::ROOT::GenerateInitInstanceLocal((const ::HepMC3Event*)0x0)->GetImplFileLine();
}

//______________________________________________________________________________
TClass *HepMC3Event::Dictionary()
{
   fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::HepMC3Event*)0x0)->GetClass();
   return fgIsA;
}

//______________________________________________________________________________
TClass *HepMC3Event::Class()
{
   if (!fgIsA.load()) { R__LOCKGUARD(gInterpreterMutex); fgIsA = ::ROOT::GenerateInitInstanceLocal((const ::HepMC3Event*)0x0)->GetClass(); }
   return fgIsA;
}

namespace ROOT {
   // Wrappers around operator new
   static void *new_HepMC3Particle(void *p) {
      return  p ? new(p) ::HepMC3Particle : new ::HepMC3Particle;
   }
   static void *newArray_HepMC3Particle(Long_t nElements, void *p) {
      return p ? new(p) ::HepMC3Particle[nElements] : new ::HepMC3Particle[nElements];
   }
   // Wrapper around operator delete
   static void delete_HepMC3Particle(void *p) {
      delete ((::HepMC3Particle*)p);
   }
   static void deleteArray_HepMC3Particle(void *p) {
      delete [] ((::HepMC3Particle*)p);
   }
   static void destruct_HepMC3Particle(void *p) {
      typedef ::HepMC3Particle current_t;
      ((current_t*)p)->~current_t();
   }
   // Wrapper around a custom streamer member function.
   static void streamer_HepMC3Particle(TBuffer &buf, void *obj) {
      ((::HepMC3Particle*)obj)->::HepMC3Particle::Streamer(buf);
   }
} // end of namespace ROOT for class ::HepMC3Particle

namespace ROOT {
   // Wrapper around operator delete
   static void delete_HepMC3Event(void *p) {
      delete ((::HepMC3Event*)p);
   }
   static void deleteArray_HepMC3Event(void *p) {
      delete [] ((::HepMC3Event*)p);
   }
   static void destruct_HepMC3Event(void *p) {
      typedef ::HepMC3Event current_t;
      ((current_t*)p)->~current_t();
   }
   // Wrapper around a custom streamer member function.
   static void streamer_HepMC3Event(TBuffer &buf, void *obj) {
      ((::HepMC3Event*)obj)->::HepMC3Event::Streamer(buf);
   }
} // end of namespace ROOT for class ::HepMC3Event

namespace {
  void TriggerDictionaryInitialization_HepMC3EventDict_Impl() {
    static const char* headers[] = {
"HepMC3Event.h",
"HepMC3Particle.h",
0
    };
    static const char* includePaths[] = {
"/usr/include",
"../include/",
"/usr/include/root",
"/builddir/build/BUILD/mctester-changeset29Jan/MC-TESTER/HepMC3Event/",
0
    };
    static const char* fwdDeclCode = R"DICTFWDDCLS(
#line 1 "HepMC3EventDict dictionary forward declarations' payload"
#pragma clang diagnostic ignored "-Wkeyword-compat"
#pragma clang diagnostic ignored "-Wignored-attributes"
#pragma clang diagnostic ignored "-Wreturn-type-c-linkage"
extern int __Cling_AutoLoading_Map;
class __attribute__((annotate("$clingAutoload$HepMC3Particle.h")))  __attribute__((annotate("$clingAutoload$HepMC3Event.h")))  HepMC3Particle;
class __attribute__((annotate(R"ATTRDUMP(Interface to HepMC event record)ATTRDUMP"))) __attribute__((annotate("$clingAutoload$HepMC3Event.h")))  HepMC3Event;
)DICTFWDDCLS";
    static const char* payloadCode = R"DICTPAYLOAD(
#line 1 "HepMC3EventDict dictionary payload"

#ifndef _USE_ROOT_
  #define _USE_ROOT_ 1
#endif

#define _BACKWARD_BACKWARD_WARNING_H
// Inline headers
#include "HepMC3Event.h"
#include "HepMC3Particle.h"

#undef  _BACKWARD_BACKWARD_WARNING_H
)DICTPAYLOAD";
    static const char* classesHeaders[] = {
"HepMC3Event", payloadCode, "@",
"HepMC3Particle", payloadCode, "@",
nullptr
};
    static bool isInitialized = false;
    if (!isInitialized) {
      TROOT::RegisterModule("HepMC3EventDict",
        headers, includePaths, payloadCode, fwdDeclCode,
        TriggerDictionaryInitialization_HepMC3EventDict_Impl, {}, classesHeaders, /*hasCxxModule*/false);
      isInitialized = true;
    }
  }
  static struct DictInit {
    DictInit() {
      TriggerDictionaryInitialization_HepMC3EventDict_Impl();
    }
  } __TheDictionaryInitializer;
}
void TriggerDictionaryInitialization_HepMC3EventDict() {
  TriggerDictionaryInitialization_HepMC3EventDict_Impl();
}
